﻿try {
  $chocTempDir = Join-Path $env:TEMP 'chocolatey'
  $tempDir = Join-Path $chocTempDir 'rollbackrx'

  # Download and extract rollbackrx installer
  Install-ChocolateyZipPackage 'rollbackrx' 'http://tonigellida.x10.mx/packages/rollbackrx/Rollbackv10.zip' $tempDir
  
  # Run the installer
  $installer = Join-Path $tempDir 'Setup.exe'
  Install-ChocolateyInstallPackage 'rollbackrx' 'exe' '/q' "$installer"

  Write-ChocolateySuccess 'rollbackrx'
} catch {
  Write-ChocolateyFailure 'rollbackrx' $($_.Exception.Message)
  throw
}
